org.apache.ignite.internal.visor.file

## Class VisorLatestTextFilesTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorLatestTextFilesTaskArg,Collection<VisorLogFile>>
    - - org.apache.ignite.internal.visor.file.VisorLatestTextFilesTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorLatestTextFilesTaskArg>,Collection<VisorLogFile>>

    @GridInternal
    public class VisorLatestTextFilesTask
    extends VisorOneNodeTask<VisorLatestTextFilesTaskArg,Collection<VisorLogFile>>

Get list files matching filter.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorLatestTextFilesTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.file.VisorLatestTextFilesTask.VisorLatestTextFilesJob` `job(VisorLatestTextFilesTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorLatestTextFilesTask

    public VisorLatestTextFilesTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.file.VisorLatestTextFilesTask.VisorLatestTextFilesJob job(VisorLatestTextFilesTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorLatestTextFilesTaskArg,Collection<VisorLogFile>,Collection<VisorLogFile>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022